Bug 990309 - value of JMX port not being changed by UI
value of JMX port not being changed by UI
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity low
: GA
: JON 3.2.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 16:54 EDT by Varun Khurana
Modified: 2014-01-02 15:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage node details view (131.53 KB, image/png)
2013-08-26 09:51 EDT, John Sanda
no flags Details

  None (edit)
Description Varun Khurana 2013-07-30 16:54:15 EDT
Description of problem:
There is no provision to change the value of JMX port via UI



Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Log into GUI.Go to Administration-> Storage Node
2.
3.

Actual results:
there is no way to change the value of JMX port via UI

Expected results:
there should have been a provision to change the value of JMX port via UI

Additional info:
Comment 2 Heiko W. Rupp 2013-08-24 13:21:08 EDT
John, can you please look into this?
Comment 3 John Sanda 2013-08-26 09:48:41 EDT
The JMX port can be changed in the storage admin UI. I do not think that the functionality was implemented when this bug was filed. Once you log in go to Administration --> Storage Nodes and clink on the address of the node you want to change. That will take you to the details view for the storage node. Towards the bottom is the configuration section where you can change the JMX port. A restart is required in order for the change to take effect. Note that the server will automatically restart the storage node so that the change does take effect. I will upload a screenshot of the details view so you know exactly to what I am referring.

Moving this to ON_QA for verification.
Comment 4 John Sanda 2013-08-26 09:51:48 EDT
Created attachment 790530 [details]
storage node details view

Note You need to log in before you can comment on or make changes to this bug.